deploykit/telegraph-api

v1.1.1 2017-06-09 11:26 UTC

This package is auto-updated.

Last update: 2021-07-11 21:32:14 UTC


README

Packagist license StyleCI Scrutinizer Code Quality

This package lets you work with telegra.ph API.

Contents

Installation

To get the latest version of Telegra.ph API client simply require the project using Composer:

$ composer require deploykit/telegraph-api

Or you can manually update your require block and run composer update if you choose so:

{
    "require": {
        "deploykit/telegraph-api": "~1.1.0"
    }
}

Usage

All methods in Telegraph Client class correspond to API methods that are described in Telegraph API documentation.

$telegraph = new \Deploykit\Telegraph\Client();

$telegraph->createAccount('Author', 'Author name', 'http://example.com');

All entities' classes implement ArrayAccess, so any property of any class can be accessed either in object style or in array style. For all methods that require access_token, you can either provide a string with your token or provide instance of \Deploykit\Telegraph\Entities\Account class.

Changelog

Please see CHANGELOG for more information what has changed recently.

Roadmap

All future features are documented in Roadmap GitHub project.

Contributing

Please see CONTRIBUTING for details.

Credits

License

The MIT License (MIT). Please see License File for more information.